Get Importable Ip Blocks

Get Importable Ip Blocks
Get all importable third-party IPAM IP blocks.

Get all importable third-party IPAM IP blocks. IP blocks must be retrieved with either the "networkProviderId" or "regionId" filter key set with the id of the NSX Manager or Region respectively. IP blocks that are already imported as IP Spaces can be filtered out with the filter "alreadyImported==false".

Request
URI
GET
https://{api_host}/cloudapi/1.0.0/nsxTResources/importableIpBlocks
COPY
Query Parameters
string
filter
Optional

Filter for a query. FIQL format.

string
cursor
Optional

Field used for getting next page of records. The value is supplied by the current result page. If not set, the first page is retrieved. If cursor is set, then all other pagination query parameters such as pageSize, sortDesc, sortAsc, queryFilter are ignored.

integer
pageSize
Required
Constraints: minimum: 0 maximum: 128 default: 25

Results per page to fetch.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns IpBlocks of type(s) application/json;version=9.1.0
{
    "values": [
        {
            "id": "string",
            "description": "string",
            "displayName": "string",
            "cidrs": [
                "string"
            ],
            "thirdPartyIpamProvider": "string",
            "alreadyImported": false
        }
    ]
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/1.0.0/nsxTResources/importableIpBlocks?pageSize=v